#ifndef __NWCC_H
#define __NWCC_H
#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <stdlib.h>

#include <iostream>
#include <fstream>
#include <string>
#include <vector>
#include <map>
using namespace std;

#include "nwcc.h"
#include "nwcclex.h"


extern	int	EndFlg;

extern	char	TOKEN[];
extern  int	tokenPt;

extern	FILE	*pr;

extern	int	NwccMain();
extern	int	WORD();
extern	int	ErrorFlg;
extern	FILE	*RdFp;

extern	int	GetChar();
extern	void	PutChar();
extern	void	UnGetChar(int c);

#endif  /* __NWCC_H */
